import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Road extends World
{
    private int score;
    private int time;
    
    /**
     * Constructor: Set up the staring objects.
     */
    public Road()
    {    
        super(780, 360, 1); 
        prepare();
        score = 0;
        showScore();
        time = 2000;
        showTime();
    }
    
    private void countTime()
    {
        time--;
        showTime();
        
        if(time == 0)
        {
            showEndMessage();
            Greenfoot.stop();
        }    
    }
    
    private void showTime()
    {
        showText("Time: " + time, 700, 20);
    }  
    
    
    /**
     * Show the end-of-game message on screen.
     */
    private void showEndMessage()
    {
        showText("Time is up - you win!", 390, 150);
        showText("Your final score: " + score + " points", 390, 170);
    }    
    
    public void addScore(int points) //Changed my addScore method to require a parameter of type int.
    {
         score = score + points;
         showScore();
    }
    
    
    private void showScore()
    {
        showText("Score: " + score, 80,25);
    }    
    /**
     * Create new floating objects at irregular intervals.
     */
    public void act()
    {
        if (Greenfoot.getRandomNumber(100) < 3)
        {
            addObject(new Gas(), 779, Greenfoot.getRandomNumber(360));
        }
        
        if (Greenfoot.getRandomNumber(100) < 1)
        {
            addObject(new badTruck(), 779, Greenfoot.getRandomNumber(360));
        }
        if (Greenfoot.getRandomNumber(100) < 3)
        {
            addObject(new Rock(), 779, Greenfoot.getRandomNumber(360));
        }
        countTime();
        addObject(new Line(), 779, 110);
        
        addObject(new Line(), 779, 220);
       
        
    }

    
    
    
    
    /**
     * Prepare the world for the start of the program. In this case: Create
     * a white blood cell and the lining at the edge of the blood stream.
     */
    private void prepare()
    {
        goodTruck goodTruck = new goodTruck();
        addObject(goodTruck, 135, 179);

        Line line = new Line();
        addObject(line,42,123);
        Line line2 = new Line();
        addObject(line2,190,123);
        Line line3 = new Line();
        addObject(line3,343,122);
        Line line4 = new Line();
        addObject(line4,486,123);
        Line line5 = new Line();
        addObject(line5,614,122);
        Line line6 = new Line();
        addObject(line6,38,234);
        Line line7 = new Line();
        addObject(line7,730,121);
        line7.setLocation(723,123);
        Line line8 = new Line();
        addObject(line8,189,236);
        Line line9 = new Line();
        addObject(line9,344,234);
        Line line10 = new Line();
        addObject(line10,483,232);
        Line line11 = new Line();
        addObject(line11,613,228);
        Line line12 = new Line();
        addObject(line12,727,228);
    }
}
